ata_scsiop_noop
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsiop_noop — Command handler that simply returns success.

## Synopsis

`unsigned int ata_scsiop_noop (` | struct ata_scsi_args * | args,
| u8 * | rbuf,
| unsigned int | buflen`)`;

## Arguments

`args`

  device IDENTIFY data / SCSI command of interest.

`rbuf`

  Response buffer, to which simulated SCSI cmd output is sent.

`buflen`

  Response buffer length.

## Description

No operation. Simply returns success to caller, to indicate that the caller should successfully complete this SCSI command.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_scsiop_inq_83 | Home | ata_msense_push